Skip to main content
POST
/
v2
/
companies
/
technologies
Bulk Technologies
curl --request POST \
  --url https://api.bizzy.ai/v2/companies/technologies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 123,
  "offset": 123
}
'
[
    {
        "identifier": {
            "countryCode": "BE",
            "companyId": "1778186251",
            "name": "Bizzy"
        },
        "data": {
            "technologies": [
                {
                    "id": "172807741",
                    "name": "Google Tag Manager",
                    "website": "https://www.google.com/tagmanager",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Tag%20Manager.svg",
                    "groups": [
                        "Analytics"
                    ]
                },
                {
                    "id": "337523297",
                    "name": "Google Analytics",
                    "website": "https://google.com/analytics",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Analytics.svg",
                    "groups": [
                        "Analytics"
                    ]
                },
                {
                    "id": "1800726712",
                    "name": "Google Font API",
                    "website": "https://google.com/fonts",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Font%20API.svg",
                    "groups": [
                        "Web development"
                    ]
                },
                {
                    "id": "1648297666",
                    "name": "Open Graph",
                    "website": "https://ogp.me",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Open%20Graph.png",
                    "groups": [
                        "Other"
                    ]
                }
            ]
        },
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 23
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "countryCode": "BE",
            "companyId": "123",
            "name": ""
        },
        "data": null,
        "pagination": null,
        "message": "Company not found"
    }
]

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Body

companies
array
You can request up to 100 companies at once.
limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip. companies.length x limit may not exceed 500.

Response

The same limit and offset are shared over all companies.
[
    {
        "identifier": {
            "countryCode": "BE",
            "companyId": "1778186251",
            "name": "Bizzy"
        },
        "data": {
            "technologies": [
                {
                    "id": "172807741",
                    "name": "Google Tag Manager",
                    "website": "https://www.google.com/tagmanager",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Tag%20Manager.svg",
                    "groups": [
                        "Analytics"
                    ]
                },
                {
                    "id": "337523297",
                    "name": "Google Analytics",
                    "website": "https://google.com/analytics",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Analytics.svg",
                    "groups": [
                        "Analytics"
                    ]
                },
                {
                    "id": "1800726712",
                    "name": "Google Font API",
                    "website": "https://google.com/fonts",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Google%20Font%20API.svg",
                    "groups": [
                        "Web development"
                    ]
                },
                {
                    "id": "1648297666",
                    "name": "Open Graph",
                    "website": "https://ogp.me",
                    "logoUrl": "https://bizzy.ams3.digitaloceanspaces.com/prod/techstack/icons/Open%20Graph.png",
                    "groups": [
                        "Other"
                    ]
                }
            ]
        },
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 23
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "countryCode": "BE",
            "companyId": "123",
            "name": ""
        },
        "data": null,
        "pagination": null,
        "message": "Company not found"
    }
]